Redmine - Defect #12399

Non ASCII attachment filename encoding broken (MOJIBAKE) in receiving mail on Ruby 1.8
2012-11-19 11:39 - Toshi MARUYAMA

Status: Closed Start date:

Priority: Low Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 214

Resolution: Fixed Affected version: 213
Description

receiving-mail-and-test.diff contains mail fixtures and tests.
These tests pass on Ruby 1.9.
But These tests fail on Ruby 1.8.

1) Failure:
test_gmail (MailHandlerTest) [test/unit/mail_handler_test_1.rb:50]:
<"000 .txt"> expected but was
<"\e$B_F_9_H\e (B.txt">.

2) Failure:
test_tb(MailHandlerTest) [test/unit/mail_handler_test_1.rb:34]:
<"000 .txt"> expected but was
<"\e$B_F_9 H\e (B.txt">.

Related issues:
Related to Redmine - Defect #4608: Mail attachment name encoding is incorectl... Closed 2010-01-19

Associated revisions

Revision 10852 - 2012-11-21 06:37 - Toshi MARUYAMA
fix non ASCII attachment filename encoding broken (MOJIBAKE) in receiving mail on Ruby 1.8 (#12399)

Revision 10853 - 2012-11-21 06:43 - Toshi MARUYAMA

svn propset svn:eol-style native to fixtures (#12399)

Revision 10854 - 2012-11-21 08:14 - Toshi MARUYAMA
Merged r10852 from trunk (#12399)

fix non ASCII attachment filename encoding broken (MOJIBAKE) in receiving mail on Ruby 1.8.

Revision 10855 - 2012-11-21 08:19 - Toshi MARUYAMA
Merged r10853 from trunk (#12399)

svn propset svn:eol-style native to fixtures.

Revision 11650 - 2013-03-19 07:35 - Toshi MARUYAMA
fix broken tests on Rails 3.2.13 with Ruby 1.8 (#12399, #12375)

History

#1 - 2012-11-21 06:26 - Toshi MARUYAMA

- Subject changed from Japanese attachment filename encoding broken (MOJIBAKE) in receiving mail on Ruby 1.8 to Non ASCII attachment filename
encoding broken (MOJIBAKE) in receiving mail on Ruby 1.8

- Assignee set to Toshi MARUYAMA

- Target version set to 2.1.4

#2 - 2012-11-21 11:25 - Toshi MARUYAMA

- Status changed from New to Closed
https://www.redmine.org/attachments/8501

- Resolution set to Fixed

Committed in trunk r10852, r10853 and 2.1-stable r10854, r10855.

#3 - 2015-04-29 12:17 - Toshi MARUYAMA
- Related to Defect #4608: Mail attachment name encoding is incorectly handled added

Files

receiving-mail-and-test.diff 4.93 KB 2012-11-19 Toshi MARUYAMA
